/*
 * roles.h
 * 
 * Copyright (C) 2007  Josef Kufner <jk@myserver.cz>
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 */
#ifndef JK_ROLES_H
#define JK_ROLES_H

#include <gtk/gtk.h>

enum {
	ROLE_COL_NAME,
	ROLE_COL_ID,
	ROLE_COL_MAX
};

extern GtkListStore *roles_store;

int roles_init(void);
int roles_clear(void);
int roles_add(const gchar *role);
int roles_get_id_by_name(const char *role);
int roles_get_by_iter(GtkTreeIter *iter, gchar **role, gint *role_id);

#endif

